HEmulatedGraphicsConfiguration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HEmulatedGraphicsConfiguration

    java.lang.Object
      org.havi.ui.HScreenConfiguration
          org.havi.ui.HGraphicsConfiguration
              org.havi.ui.HEmulatedGraphicsConfiguration

    public class HEmulatedGraphicsConfiguration

extends HGraphicsConfiguration

An `HEmulatedGraphicsConfiguration` is a configuration for a "virtual" graphics device that may perform one or more emulations, e.g. in the ATSC context an `HEmulatedGraphicsDevice` might implement multiple `HEmulatedGraphicsConfigurations`, corresponding to each of the possible relationships to the high-definition display modes. The `HEmulatedGraphicsConfiguration` would be used to configure a device appropriately for rendering into, whilst mapping the emulated device onto the "true" physical display, e.g. by down-sampling to standard-definition display.

In essence the `HEmulatedGraphicsConfiguration` may be considered as a pair of `HGraphicsConfiguration` objects: one describing the configuration of the emulation and the second describing the corresponding configuration of the implementation.

Hence, an `HGraphicsConfiguration` may be considered as a special case of the `HEmulatedGraphicsConfiguration` class, where the emulation and implementation are equivalent.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  `HEmulatedGraphicsDevice`, `HGraphicsConfiguration`

Method Summary
`HGraphicsConfigTemplate` | `getConfigTemplate()` Returns an `HGraphicsConfigTemplate` describing the virtual (emulation) characteristics of the `HEmulatedGraphicsDevice`.
`HGraphicsConfigTemplate` | `getEmulation()` Returns an `HGraphicsConfigTemplate` describing the virtual (emulation) characteristics of the `HEmulatedGraphicsDevice`.
`HGraphicsConfigTemplate` | `getImplementation()` Returns an `HGraphicsConfigTemplate` describing the physical (implementation) characteristics of the `HEmulatedGraphicsDevice`.

Methods inherited from class org.havi.ui.HGraphicsConfiguration
`dispose, getAllFonts, getCompatibleImage, getComponentHScreenRectangle, getDevice, getPixelCoordinatesHScreenRectangle, getPunchThroughToBackgroundColor, getPunchThroughToBackgroundColor, getPunchThroughToBackgroundColor, getPunchThroughToBackgroundColor`

Methods inherited from class org.havi.ui.HScreenConfiguration
`convertTo, getFlickerFilter, getInterlaced, getOffset, getPixelAspectRatio, getPixelResolution, getScreenArea`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConfigTemplate

    public HGraphicsConfigTemplate getConfigTemplate()

  Returns an `HGraphicsConfigTemplate` describing the virtual (emulation) characteristics of the `HEmulatedGraphicsDevice`.

  Overridden method from `HGraphicsConfiguration` -- for an `HEmulatedGraphicsConfiguration` this returns a description of the emulation characteristics.

  Overrides:
    `getConfigTemplate` in class `HGraphicsConfiguration`
  Returns:
    an `HGraphicsConfigTemplate` describing the virtual (emulation) characteristics of the `HEmulatedGraphicsDevice`.
  See Also:
    `HGraphicsConfigTemplate`, `HGraphicsConfiguration`, `HEmulatedGraphicsDevice`

### getEmulation

    public HGraphicsConfigTemplate getEmulation()

  Returns an `HGraphicsConfigTemplate` describing the virtual (emulation) characteristics of the `HEmulatedGraphicsDevice`.

  Returns:
    an `HGraphicsConfigTemplate` describing the virtual (emulation) characteristics of the `HEmulatedGraphicsDevice`.
  See Also:
    `HGraphicsConfigTemplate`, `HEmulatedGraphicsDevice`

### getImplementation

    public HGraphicsConfigTemplate getImplementation()

  Returns an `HGraphicsConfigTemplate` describing the physical (implementation) characteristics of the `HEmulatedGraphicsDevice`.

  Returns:
    an `HGraphicsConfigTemplate` describing the physical (implementation) characteristics of the `HEmulatedGraphicsDevice`.
  See Also:
    `HGraphicsConfigTemplate`, `HEmulatedGraphicsDevice`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD